cURL
curl --request POST \ --url https://admin.snagsolutions.io/api/stratus/subscriptions \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "name": "<string>", "websiteId": "<string>", "organizationId": "<string>", "functionIds": [ "<string>" ], "callbackUrl": "<string>", "metadata": null, "startsAt": "<string>", "endsAt": "<string>", "maxEventsPerDay": 123, "blockchainSubscriptions": [ { "chainId": 123, "contractAddress": "<string>", "triggerId": "<string>", "eventAbi": "<string>", "functionAbi": "<string>", "fromBlock": "<string>" } ], "snagSubscriptions": [ { "tableNames": [ "<string>" ], "triggerId": "<string>", "mainLoyaltyAccountIds": [ "<string>" ] } ] } '
{ "name": "<string>", "websiteId": "<string>", "organizationId": "<string>", "callbackUrl": "<string>", "id": "<string>", "signingKey": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "functionIds": [ "<string>" ], "metadata": null, "startsAt": "<string>", "endsAt": "<string>", "disabled": true, "disabledAt": "2023-11-07T05:31:56Z", "disabledReason": "<string>", "consecutiveFailures": 123, "blockchainSubscriptions": [ { "id": "<string>", "chainId": 123, "contractAddress": "<string>", "eventSelector": "<string>", "eventAbi": "<string>", "functionAbi": "<string>", "fromBlock": "<string>", "createdAtBlock": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z" } ], "snagSubscriptions": [ { "id": "<string>", "table": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z" } ] }
Documentation IndexFetch the complete documentation index at: https://docs.snagsolutions.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
Use this file to discover all available pages before exploring further.
Body
1000
Show child attributes
200
v1
v2
Was this page helpful?